com.genesyslab.wfm8.API.service.RTA850

## Class ScheduledStateGroup

- java.lang.Object
- - com.genesyslab.wfm8.API.service.RTA850.ScheduledStateGroup

- All Implemented Interfaces:
    java.io.Serializable

      public class ScheduledStateGroup
      extends java.lang.Object
      implements java.io.Serializable

  Contains scheduled state group name with optional channel name
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `channelName` Scheduled state group channel name.
    `protected int` | `hasChannelName` Scheduled state group channel name presence indicator
    `protected int` | `id` ID of this scheduled state group
    `protected java.lang.String` | `name` Scheduled state group name
    `private static long` | `serialVersionUID`
    `protected int` | `siteID` Site ID of this scheduled state group

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScheduledStateGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `getChannelName()` Gets the value of the channelName property.
    `int` | `getHasChannelName()` Gets the value of the hasChannelName property.
    `int` | `getId()` Gets the value of the id property.
    `java.lang.String` | `getName()` Gets the value of the name property.
    `int` | `getSiteID()` Gets the value of the siteID property.
    `int` | `hashCode()`
    `void` | `setChannelName(java.lang.String value)` Sets the value of the channelName property.
    `void` | `setHasChannelName(int value)` Sets the value of the hasChannelName property.
    `void` | `setId(int value)` Sets the value of the id property.
    `void` | `setName(java.lang.String value)` Sets the value of the name property.
    `void` | `setSiteID(int value)` Sets the value of the siteID property.
    `java.lang.String` | `toString()`
    `ScheduledStateGroup` | `withChannelName(java.lang.String value)`
    `ScheduledStateGroup` | `withHasChannelName(int value)`
    `ScheduledStateGroup` | `withId(int value)`
    `ScheduledStateGroup` | `withName(java.lang.String value)`
    `ScheduledStateGroup` | `withSiteID(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### siteID

          protected int siteID

      Site ID of this scheduled state group

    - #### id

          protected int id

      ID of this scheduled state group

    - #### name

          protected java.lang.String name

      Scheduled state group name

    - #### hasChannelName

          protected int hasChannelName

      Scheduled state group channel name presence indicator

    - #### channelName

          protected java.lang.String channelName

      Scheduled state group channel name. If hasChannelName is false then this is aggregated channel. If hasChannelName is true then this field contains channel name. Empty channel name is used for legacy voice channels.

  - ### Constructor Detail

    - #### ScheduledStateGroup

          public ScheduledStateGroup()

  - ### Method Detail

    - #### getSiteID

          public int getSiteID()

      Gets the value of the siteID property.

    - #### setSiteID

          public void setSiteID(int value)

      Sets the value of the siteID property.

    - #### getId

          public int getId()

      Gets the value of the id property.

    - #### setId

          public void setId(int value)

      Sets the value of the id property.

    - #### getName

          public java.lang.String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(java.lang.String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getHasChannelName

          public int getHasChannelName()

      Gets the value of the hasChannelName property.
      Returns:
        possible object is `int`

    - #### setHasChannelName

          public void setHasChannelName(int value)

      Sets the value of the hasChannelName property.
      Parameters:
        `value` - allowed object is `int`

    - #### getChannelName

          public java.lang.String getChannelName()

      Gets the value of the channelName property.
      Returns:
        possible object is `String`

    - #### setChannelName

          public void setChannelName(java.lang.String value)

      Sets the value of the channelName property.
      Parameters:
        `value` - allowed object is `String`

    - #### withSiteID

          public ScheduledStateGroup withSiteID(int value)

    - #### withId

          public ScheduledStateGroup withId(int value)

    - #### withName

          public ScheduledStateGroup withName(java.lang.String value)

    - #### withChannelName

          public ScheduledStateGroup withChannelName(java.lang.String value)

    - #### withHasChannelName

          public ScheduledStateGroup withHasChannelName(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.